﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Data.Common;

namespace WawaSoft.Common
{
    public class DatabaseTrans : IDisposable
    {
        private DbConnection conn;
        private DbTransaction dbTrans;
        public DbConnection DbConnection
        {
            get { return this.conn; }
        }
        public DbTransaction DbTrans
        {
            get { return this.dbTrans; }
        }

        public DatabaseTrans(DbHelper helper)
        {
            conn = helper.CreateConnection();
            dbTrans = conn.BeginTransaction();
        }
        public DatabaseTrans(string connectionString)
        {
            conn = DbHelper.CreateConnection(connectionString);
            dbTrans = conn.BeginTransaction();
        }
        public void Commit()
        {
            dbTrans.Commit();
            this.Colse();
        }

        public void RollBack()
        {
            dbTrans.Rollback();
            this.Colse();
        }

        public void Dispose()
        {
            this.Colse();
        }

        public void Colse()
        {
            if (conn.State == System.Data.ConnectionState.Open)
            {
                conn.Close();
            }
        }
    }
}
